## mdformat 0.7.17

=== docs/requirements.txt ===
# List dependencies in a format that readthedocs.org understands.

docutils == 0.18.1
sphinx == 5.1.1
myst-parser == 0.18.0
furo == 2022.6.21

=== tests/requirements.txt ===
pytest
pytest-randomly
pytest-cov

=== debian/changelog ===
mdformat (0.7.17-2) unstable; urgency=medium

  * Source-only upload to unstable after crossing NEW.

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 06 Apr 2024 22:44:27 -0400

mdformat (0.7.17-1) experimental; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219, revised by
    maintainer (Closes: #1042062)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 20 Dec 2023 20:58:16 +0000

## mdformat 0.7.18

=== debian/changelog ===
mdformat (0.7.18-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 16 Oct 2024 09:22:05 -0400

## mdformat 0.7.21

=== debian/changelog ===
mdformat (0.7.21-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 22 Dec 2024 14:45:08 -0500

## mdformat 0.7.22

=== docs/requirements.txt ===
# List dependencies in a format that readthedocs.org understands.

docutils == 0.21.2
sphinx == 8.0.2
myst-parser == 4.0.0
furo == 2024.8.6

=== debian/changelog ===
mdformat (0.7.22-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 03 Feb 2025 10:32:36 -0500

=== debian/control ===
Source: mdformat
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject, python3-setuptools,
               python3-all,
               python3-pytest,
               python3-pytest-cov,
               python3-markdown-it,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/mdformat.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mdformat

Package: mdformat
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: CommonMark compliant Markdown formatter
 Mdformat is an opinionated Markdown formatter that can be used to
 enforce a consistent style in Markdown files.
 .
 Mdformat is a Unix-style command-line tool as well as a Python
 library.
 .
 The features/opinions of the formatter include:
 .
  * Consistent indentation and whitespace across the board
  * Always use ATX style headings
  * Move all link references to the bottom of the document (sorted by
    label)
  * Reformat indented code blocks as fenced code blocks
  * Use 1. as the ordered list marker if possible, also for noninitial
    list items

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=mdformat
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -O--buildsystem=pybuild
        # remove cruft from the sphinx docs, should really be properly
        # built instead
	rm -r debian/mdformat/usr/share/doc/mdformat/_static/
	rm -r debian/mdformat/usr/share/doc/mdformat/conf.py
	rm -r debian/mdformat/usr/share/doc/mdformat/requirements.txt
        # could also be done with a dh_installchangelogs override, but
        # then we'd need to remove this file anyway
	mv debian/mdformat/usr/share/doc/mdformat/users/changelog.md debian/mdformat/usr/share/doc/mdformat/changelog

## mdformat 1.0.0

=== docs/requirements.txt ===
# List dependencies in a format that readthedocs.org understands.

docutils == 0.21.2
sphinx == 8.2.3
myst-parser == 4.0.1
furo == 2025.7.19

=== fuzzer/requirements.txt ===
# sudo apt-get install clang
wheel
atheris==2.0.12

=== tests/requirements.txt ===
pytest
pytest-randomly
pytest-cov
covdefaults

=== debian/changelog ===
mdformat (1.0.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 20 Oct 2025 16:24:55 -0400

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
      https://github.com/executablebooks/mdformat//tags \
      (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## mdformat footnote-0.0.2

=== requirements.txt ===
flit
tox
pytest
mdformat >=0.5.3,<0.6.0
mdit_py_plugins

## mdformat footnote-0.1.0

=== requirements.txt ===
flit
tox
pytest
mdformat >=0.7.0,<0.8.0
mdit_py_plugins

## mdformat pelican-0.0.4

=== requirements.txt ===
flit
tox
pytest
mdformat<0.6.0
